Search purchase-requests by orders
List of products from order items with reservation type REQUEST_PURCHASE_ORDER.
Optionally filter on organisation, store, supplier, and order state.
The output is grouped by order.
post/tenants/{tenantUid}/purchase-orders/requests-by-orders
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
Body
organizationUidsstring[]Optional
storeUidsstring[]Optional
supplierUidsstring[]Optional
Responses
200
Example response
application/json
post/tenants/{tenantUid}/purchase-orders/requests-by-orders
POST /v2/tenants/{tenantUid}/purchase-orders/requests-by-orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"organizationUids": [
"text"
],
"storeUids": [
"text"
],
"supplierUids": [
"text"
],
"orderStates": [
"OPEN"
]
}200
Example response
{
"items": [
{
"orderUid": "text",
"orderNumber": "text",
"orderState": "OPEN",
"settleState": "NOT_STARTED",
"customerDisplayName": "text",
"storeUid": "text",
"storeName": "text",
"items": [
{
"orderItemUid": "text",
"sortOrder": 1,
"quantityOrdered": 1,
"note": "text",
"sku": "text",
"productName": "text",
"productUid": "text",
"suppliers": [
{
"supplierUid": "text",
"name": "text"
}
]
}
],
"createdAt": "2026-01-01T00:00:00.000Z"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

